API Reference
List AI reference documents
List AI reference documents
GET /api/ai/references
List AI reference documents
Operation ID: listAiReferences
Authentication
Option 1
- BearerAuth (
http bearer) API key token. Create via POST /api/api-keys. Format:envoy_<hex>
Option 2
- CookieAuth (
apiKey) Session cookie set after login + TOTP verification
Success responses
200
Paginated AI references
Examples
cURL
curl --request GET \
--url 'https://your-envoy.example.com/api/ai/references' \
--header 'Authorization: Bearer $API_KEY'JavaScript (fetch)
const response = await fetch('https://your-envoy.example.com/api/ai/references', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
},
});
if (!response.ok) throw new Error(`Request failed: ${response.status}`);
const data = response.status === 204 ? null : await response.json();
console.log(data);